/*******************************************************************************
* File Name: CapSlider.c
* Version 1.30
*
* Description:
*  This file provides the source code of Interrupt Service Routine (ISR)
*  for CapSense Component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "CapSlider.h"


#if defined(CapSlider_TOTAL_SENSOR_COUNT)
/*******************************************************************************
*  Place your includes, defines and code here
*******************************************************************************/
/* `#START CapSlider_ISR_intc` */

/* `#END` */

/*******************************************************************************
* Function Name: CapSlider_ISR
********************************************************************************
* Summary:
*  This ISR is executed when PWM window is closed. The widow depends on PWM 
*  resolution paramter. This interrupt handler only used in Serial  mode of 
*  CapSense operation.
*
* Parameters:
*  void:
*
* Return:
*  void
*
*******************************************************************************/
CY_ISR(CapSlider_ISR)
{
    /*  Place your Interrupt code here. */
    /* `#START CapSlider_ISR` */

    /* `#END` */
    CapSlider_status &= ~CapSlider_START_CAPSENSING;

    #if(CYDEV_CHIP_DIE_EXPECT == CYDEV_CHIP_DIE_LEOPARD)
        #if defined(CapSlider_CSD_METHOD)
            #if((CYDEV_CHIP_REV_EXPECT <= CYDEV_CHIP_REV_LEOPARD_ES2) && (CapSlider_sbCSD_cISR__ES2_PATCH))
                CapSlider_ISR_PATCH();
            #endif
        #endif
        #if defined(CapSlider_CSA_METHOD)
            #if((CYDEV_CHIP_REV_EXPECT <= CYDEV_CHIP_REV_LEOPARD_ES2) && (CapSlider_sbCSA_cISR__ES2_PATCH))
                CapSlider_ISR_PATCH();
            #endif
        #endif
    #endif
}
#endif


#if defined(CapSlider_TOTAL_SENSOR_COUNT_LEFT)
/*******************************************************************************
*  Place your includes, defines and code here
*******************************************************************************/
/* `#START CapSlider_ISRLeft_intc` */

/* `#END` */

/*******************************************************************************
* Function Name: CapSlider_ISRLeft
********************************************************************************
* Summary:
*  This ISR is executed when PWM window is closed. The widow depends on PWM 
*  resolution paramter. This interrupt handler only used in Parallel  mode of 
*  CapSense operation.
*
* Parameters:
*  void
*
* Return:
*  void
*
*******************************************************************************/
CY_ISR(CapSlider_ISRLeft)
{
    /*  Place your Interrupt code here. */
    /* `#START CapSlider_ISRLeft` */

    /* `#END` */
    CapSlider_statusLeft &= ~CapSlider_START_CAPSENSING;

    #if(CYDEV_CHIP_DIE_EXPECT == CYDEV_CHIP_DIE_LEOPARD)
        #if defined(CapSlider_CSD_METHOD_LEFT)
            #if((CYDEV_CHIP_REV_EXPECT <= CYDEV_CHIP_REV_LEOPARD_ES2) && (CapSlider_lbCSD_cISR__ES2_PATCH))
                CapSlider_ISR_PATCH();
            #endif
        #endif
        #if defined(CapSlider_CSA_METHOD_LEFT)
            #if((CYDEV_CHIP_REV_EXPECT <= CYDEV_CHIP_REV_LEOPARD_ES2) && (CapSlider_lbCSA_cISR__ES2_PATCH))
                CapSlider_ISR_PATCH();
            #endif
        #endif
    #endif
}
#endif


#if defined(CapSlider_TOTAL_SENSOR_COUNT_RIGHT)
/*******************************************************************************
*  Place your includes, defines and code here
*******************************************************************************/
/* `#START CapSlider_ISRRight_intc` */

/* `#END` */

/*******************************************************************************
* Function Name: CapSlider_ISRRight
********************************************************************************
* Summary:
*  This ISR is executed when PWM window is closed. The widow depends on PWM 
*  resolution paramter. This interrupt handler only used in Parallel  mode of 
*  CapSense operation.
*
* Parameters:
*  void
*
* Return:
*  void
*
*******************************************************************************/
CY_ISR(CapSlider_ISRRight)
{
    /*  Place your Interrupt code here. */
    /* `#START CapSlider_ISRRight` */

    /* `#END` */
    CapSlider_statusRight &= ~CapSlider_START_CAPSENSING;

    #if(CYDEV_CHIP_DIE_EXPECT == CYDEV_CHIP_DIE_LEOPARD)
        #if defined(CapSlider_CSD_METHOD_RIGHT)
            #if((CYDEV_CHIP_REV_EXPECT <= CYDEV_CHIP_REV_LEOPARD_ES2) && (CapSlider_rbCSD_cISR__ES2_PATCH))
                CapSlider_ISR_PATCH();
            #endif
        #endif
        #if defined(CapSlider_CSA_METHOD_RIGHT)
            #if((CYDEV_CHIP_REV_EXPECT <= CYDEV_CHIP_REV_LEOPARD_ES2) && (CapSlider_rbCSA_cISR__ES2_PATCH))
                CapSlider_ISR_PATCH();
            #endif
        #endif
    #endif
}
#endif


/* [] END OF FILE */
