/*******************************************************************************
* File Name: .h
* Version 2.40
*
* Description:
*  This private header file contains internal definitions for the SPIM
*  component. Do not use these definitions directly in your application.
*
* Note:
*
********************************************************************************
* Copyright 2012, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_SPIM_PVT_RadioController_H)
#define CY_SPIM_PVT_RadioController_H

#include "RadioController.h"


/**********************************
*   Functions with external linkage
**********************************/


/**********************************
*   Variables with external linkage
**********************************/

extern volatile uint8 RadioController_swStatusTx;
extern volatile uint8 RadioController_swStatusRx;

#if(RadioController_TX_SOFTWARE_BUF_ENABLED)
    extern volatile uint8 RadioController_txBuffer[RadioController_TX_BUFFER_SIZE];
    extern volatile uint8 RadioController_txBufferRead;
    extern volatile uint8 RadioController_txBufferWrite;
    extern volatile uint8 RadioController_txBufferFull;
#endif /* (RadioController_TX_SOFTWARE_BUF_ENABLED) */

#if(RadioController_RX_SOFTWARE_BUF_ENABLED)
    extern volatile uint8 RadioController_rxBuffer[RadioController_RX_BUFFER_SIZE];
    extern volatile uint8 RadioController_rxBufferRead;
    extern volatile uint8 RadioController_rxBufferWrite;
    extern volatile uint8 RadioController_rxBufferFull;
#endif /* (RadioController_RX_SOFTWARE_BUF_ENABLED) */

#endif /* CY_SPIM_PVT_RadioController_H */


/* [] END OF FILE */
