/*******************************************************************************
* 	This file contains the main function which initializes the radio and 
*	implements the transmit functionality of the device.
*******************************************************************************/

#include <project.h>
#include "RadioRegs.h"
#include "RadioChannel.h"
#include "RadioControl.h"
#include "RadioInit.h"

void StartUp (void);
void Transmit (void);

uint8 state;
uint8 TxValue;

int main() {
	StartUp();
	
    while(1) {
		Transmit();
		if(Button_Read()) {
			// Handle reset
			StartUp();
		}
		CyDelay(250);
    }
}

void StartUp() {
	state = 0;
	TxValue = 0x00;
	
	LED_Control_Reg_Write(0xFF);
//	LCD_Start(); 
	RadioController_Start();
	
	RadioInit();
	LED_Control_Reg_Write(0x00);
	// Set packet length to 1 byte
	RadioWrite(TX_LENGTH_ADR,0x01);
	
//	LCD_Position(0,0);
//	LCD_PrintString("TX Data:        ");
//	LCD_Position(1,0);
//	LCD_PrintString("TX CH:  ");
//	LCD_PrintInt8(RadioGetChannel());
}

void Transmit (void) {
	RadioWrite(TX_CTRL_ADR,TX_CLR);
		
	LED_Control_Reg_Write(TxValue);
//	LCD_Position(0,8); 
//	LCD_PrintInt8(TxValue);
	RadioWrite(TX_BUFFER_ADR,TxValue);	
	
	RadioWrite(TX_CTRL_ADR,TX_GO);

	while( !(state & 0x02) ) {
		state = RadioRead( TX_IRQ_STATUS_ADR );
	}
	TxValue++;
}